Skip to content

Assessment criteria ​

Criteria (and rubrics) a discipline uses to give grades.

List the discipline's assessment criteria ​

GET /disciplinas/{disciplinaId}/criterios

Access: Requires the capability LER over discipline (params.disciplinaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
disciplinaIdstring (uuid)yesDiscipline id.

Query parameters

ParameterTypeRequiredConstraintsDescription
inativos"true" | "false"nodefault: "false"true also includes inactive records.

Response

Criterios

FieldTypeRequiredConstraintsDescription
itemslist of CriterioDtoyes

On error: ErroApi model.

Example

bash
curl -X GET "$API/disciplinas/{disciplinaId}/criterios" -H "Authorization: Bearer $TOKEN"

Create an assessment criterion ​

POST /disciplinas/{disciplinaId}/criterios

Access: Requires the capability CADASTRAR over discipline (params.disciplinaId). Success status: 201.

Path parameters

ParameterTypeRequiredConstraintsDescription
disciplinaIdstring (uuid)yesDiscipline id.

Request body (CriterioCriar)

FieldTypeRequiredConstraintsDescription
chavestringyes^[a-z][a-z0-9_]{1,39}$
notaMinintegeryes0…99
notaMaxintegeryes1…100
permiteNabooleannodefault: false
ordemintegerno0…999
nomesCriterioNomesyes
descricoesCriterioDescricoesno
rubricasCriterioRubricasno

Response

CriterioDto

FieldTypeRequiredConstraintsDescription
idstring (uuid)yes
disciplinaIdstring (uuid)yes
chavestringyes
notaMinintegeryes
notaMaxintegeryes
permiteNabooleanyes
ordemintegeryes
ativobooleanyes
nomestringyesName in the requester's language (falls back to Portuguese, then any language).
nomesobjectyesAll registered names, per language (for editing).
descricaostringyesHow-to-assess description in the requester's language (falls back to Portuguese; empty if none).
descricoesobjectyesAll registered descriptions, per language (for editing).
rubricaRubricayesRubric in the requester's language (falls back to Portuguese; empty if none).
rubricasobjectyesAll registered rubrics, per language (for editing).

On error: ErroApi model.

Example

bash
curl -X POST "$API/disciplinas/{disciplinaId}/criterios" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"chave":"texto","notaMin":0,"notaMax":1,"nomes":{"pt-BR":"texto"}}'

Update an assessment criterion ​

PATCH /disciplinas/{disciplinaId}/criterios/{criterioId}

Access: Requires the capability CADASTRAR over discipline (params.disciplinaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
criterioIdstring (uuid)yesAssessment criterion id.
disciplinaIdstring (uuid)yesDiscipline id.

Request body (CriterioAtualizar)

FieldTypeRequiredConstraintsDescription
nomesobjectno
nomes.pt-BRstringno1–120 characters
nomes.esstringno1–120 characters
nomes.en-USstringno1–120 characters
descricoesCriterioDescricoesno
rubricasCriterioRubricasno
ordemintegerno0…999
ativobooleanno

Response

CriterioDto

FieldTypeRequiredConstraintsDescription
idstring (uuid)yes
disciplinaIdstring (uuid)yes
chavestringyes
notaMinintegeryes
notaMaxintegeryes
permiteNabooleanyes
ordemintegeryes
ativobooleanyes
nomestringyesName in the requester's language (falls back to Portuguese, then any language).
nomesobjectyesAll registered names, per language (for editing).
descricaostringyesHow-to-assess description in the requester's language (falls back to Portuguese; empty if none).
descricoesobjectyesAll registered descriptions, per language (for editing).
rubricaRubricayesRubric in the requester's language (falls back to Portuguese; empty if none).
rubricasobjectyesAll registered rubrics, per language (for editing).

On error: ErroApi model.

Example

bash
curl -X PATCH "$API/disciplinas/{disciplinaId}/criterios/{criterioId}" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{}'

Assessment criteria of the class's discipline ​

GET /turmas/{turmaId}/criterios

Access: Requires the capability LER over class (params.turmaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
turmaIdstring (uuid)yesClass id.

Response

Criterios

FieldTypeRequiredConstraintsDescription
itemslist of CriterioDtoyes

On error: ErroApi model.

Example

bash
curl -X GET "$API/turmas/{turmaId}/criterios" -H "Authorization: Bearer $TOKEN"

contato@presente.app.br